/* FORMULARIO */
.form-contacto {
  .form-row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;

    .col100 {
      width: 100%;
    }

    .col50 {
      width: 48%;
    }
  }

  input[type="text"],
  input[type="email"],
  input[type="tel"],
  textarea {
    color: var(--c-blanco) !important;
    background-color: rgba(255, 255, 255, 0.3);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.15);
    border-radius: 10px;
    padding: 10px;
    border: 1px solid var(--c-azul-muy-oscuro);
    font-family: var(--f-secundaria);
    font-size: 1rem;
    width: 100%;
    margin-top: 5px;
    transition: all 0.3s ease-in-out; 

    &:focus {
        background-color: var(--c-azul-muy-oscuro);
    }
  }

  textarea {
    max-height: 120px;
  }

  label {
    color: var(--c-blanco);
  }

  .wpcf7-list-item {
    margin-left: 0;

    a {
      color: var(--c-blanco);

      &:hover {
        color: var(--c-secundario);
      }
    }
  }

  .btn-submit {
  position: relative;
  width: fit-content;
  height: 42px;

  &::before {
    content: "";
    position: absolute;
    width: 63%;
    height: 10px;
    top: 0;
    left: 0;
    right: 0;
    border-top: 2px solid var(--c-primario);
    border-left: 2px solid var(--c-primario);
    border-right: 2px solid var(--c-primario);
    z-index: 1;
    pointer-events: none;
  }

  &::after {
    content: "";
    position: absolute;
    width: 63%;
    height: 10px;
    bottom: -4px;
    left: 0;
    right: 0;
  
    border-left: 2px solid var(--c-primario);
    border-right: 2px solid var(--c-primario);
    border-bottom: 2px solid var(--c-primario);
    z-index: 1;
    pointer-events: none;
  }

  input[type="submit"],
  .wpcf7-submit {
    color: var(--c-blanco) !important;
    padding: 10px 12px !important;
    margin: 0;
    position: relative;
    background: var(--c-azul-muy-oscuro) !important;
    font-size: 18px !important;
    font-weight: 400;
    border-radius: 0;
    overflow: hidden;
    display: inline-block;
    height: 45px;
    width: fit-content !important;
    z-index: 0;
    box-shadow: 0 0 5px 0 rgba(0, 47, 83, 0.1);
    transition: var(--transicion);
    border: 2px solid var(--c-azul-muy-oscuro);
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    width: 100%;
  }

  .wpcf7-spinner {
    width: fit-content !important;
  }

  &:hover {
    input[type="submit"],
    .wpcf7-submit {
      color: var(--c-primario) !important;
      border-color: var(--c-primario);
      background: linear-gradient(
        -105deg,
        rgba(88, 213, 219, 0.4) 0%,
        rgba(100, 134, 21, 0.4) 100%
      ) !important;
    }
  }
}
}


/* ---------- RESPONSIVE ---------- */
@media screen and (max-width: 450px) {
  .form-contacto {
    .form-row {
      .col50 {
        width: 100%;
      }
    }
  }
}

/* CAPTCHA */
.grecaptcha-badge {
  display: none;
}